View Issue Details

IDProjectCategoryView StatusLast Update
0001414SymmetricDSImprovementpublic2014-02-06 19:47
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.7 
Target Version3.5.7Fixed in Version3.5.7 
Summary0001414: Add build information to Manifest and use it from AbstractVersion to get version information. Add build time to the version api
DescriptionAdd build information to Manifest and use it from AbstractVersion to get version information. Add build time to the version api
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 19ee276b

2013-09-05 21:03:27

chenson

Details Diff
0001414: Add version.properties with version, build number and build time
0001414
mod - symmetric-core/pom.xml Diff File
add - symmetric-core/src/main/resources/version.properties Diff File
mod - symmetric-parent/pom.xml Diff File

SymmetricDS: master f49b54db

2013-09-06 08:06:18

chenson

Details Diff
0001414: Add build information to Manifest and use it from AbstractVersion to get version information. Add build time to the version api
0001414
rm - symmetric-core/src/main/resources/version.properties Diff File
mod - symmetric-parent/pom.xml Diff File

SymmetricDS: master 755cc67a

2013-09-08 10:54:53

chenson

Details Diff
0001414: Add build information to Manifest and use it from AbstractVersion to get version information. Add build time to the version api
0001414
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/Version.java Diff File
add - symmetric-core/src/test/resources/META-INF/MANIFEST.MF Diff File
rm - symmetric-core/src/test/resources/META-INF/maven/org.jumpmind.symmetric/symmetric-core/pom.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/IoVersion.java Diff File
mod - symmetric-parent/pom.xml Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AbstractVersion.java Diff File

Issue History

Date Modified Username Field Change
2013-09-05 20:16 chenson New Issue
2013-09-05 20:16 chenson Status new => assigned
2013-09-05 20:16 chenson Assigned To => chenson
2013-09-06 08:04 chenson Summary Add version.properties with version, build number and build time => Add build information to Manifest and use it from AbstractVersion to get version information. Add build time to the version api
2013-09-06 08:04 chenson Description Updated View Revisions
2013-09-06 08:06 chenson Target Version => 3.5.7
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7686
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7687
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7689
2014-02-04 15:46 admin Target Version 3.5.7 =>
2014-02-06 19:46 chenson Status assigned => closed
2014-02-06 19:46 chenson Resolution open => fixed
2014-02-06 19:46 chenson Fixed in Version => 3.5.7
2014-02-06 19:47 chenson Target Version => 3.5.7
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 755cc67a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f49b54db
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 19ee276b